use "Member_Congress_AJPS_JOS.dta"
log using "JohnsonOppenSelin1.smcl"
****************THIS DO FILE CONTAINS INSTRUCTIONS FOR REPLICATING RESULTS FOUND IN TABLE 2-6 AND  TABLES A1-A6 
**************TABLE 2*******************
************* NEWEY WEST STANDARD ERRORS*********
*********download stata nwest package************
*****No Lag******
nwest logit  senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party if available==1, robust
****TABLE 3******
***********************PREDICTED PROBABILITIES**************************
logit  senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party if available==1, robust
************REP TERM*******
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802 camp_rcpts=816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424 incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=1.39 reptermsquare=1.927 district_state=18.802 camp_rcpts=816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424 incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=9.350 reptermsquare=87.423 district_state=18.802 camp_rcpts=816343  gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424 incumbent_run=1 incumbent_party=1)
*******CAMPAIGN RECEIPTS***************
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802  camp_rcpts =203172 gen_elec_vote=67.332  genelectsquare=4533.60 nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802  camp_rcpts =843364 gen_elec_vote=67.332  genelectsquare=4533.60 nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802  camp_rcpts =1429514 gen_elec_vote=67.332  genelectsquare=4533.60 nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
*********DISTRICTS IN STATE*********
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=4.073  camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.312  camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=33.531  camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
*******NOM ABS VALUE*******
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802 camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .285  incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802 camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60 nom_abs_value= .407  incumbent_run=1 incumbent_party=1)
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802 camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60 nom_abs_value= .594  incumbent_run=1 incumbent_party=1)
********INCUMBENT RUN*******************
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802  camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60 nom_abs_value= .424  incumbent_run=0 incumbent_party=1
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802  camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
*******INCUMBENT PARTY**********
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802  camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424  incumbent_run=1 incumbent_party=0)
prvalue, x(gender=0 black=0 rep_term=5.369 reptermsquare=28.826 district_state=18.802  camp_rcpts =816343 gen_elec_vote=67.332  genelectsquare=4533.60  nom_abs_value= .424  incumbent_run=1 incumbent_party=1)
*******TABLE 4**************
ttest district_state if available==1, by (black)
ttest camp_rcpts if available==1, by (black)
ttest nom_abs_value if available==1, by (black)
********TABLE 5**********************
********CAUSAL STEPS ANALYSIS********
********CAMPAIGN RECEIPTS************
reg senate_nom_run black if available==1
reg camp_rcpts black if available==1
reg senate_nom_run camp_rcpts black if available==1
*********STATE SIZE**********
reg senate_nom_run black if available==1
reg district_state black if available==1
reg senate_nom_run district_state black if available==1
*********IDEOLOGY************
reg senate_nom_run black if available==1
reg nom_abs_value black if available==1
reg senate_nom_run nom_abs_value black if available==1
********TABLE 6*************
*******SOBEL MEDIATION TEST******
******For our analysis we used the SOBEL TEST calculation provide by  Kristopher Preacher, PhD at "http://www.quantpsy.org/sobel/sobel.htm."*********
******SOBEL TEST calculator provides the test statisticand the p-value for the test statistic.*****
*******R MEDIATION ANALYSIS**********
***This analysis was estimated using "R." See file "woavailable2.dta" and R_Mediation_Analysis_Instructions" Document for instructions
*****************SUPPORTING INFORMATION-TABLE A1*************************
logit  senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party T102 T103 T104 T105 T106 T107 T108 T109 if available==1, robust
*****************SUPPORTING INFORMATION-TABLE A2**************************
logit  senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party if available==1
logit  senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party if available==1, robust
logit  senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party if available==1, cluster(icpsr_number)
nwest logit  senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party if available==1, robust
*****************SUPPORTING INFORMATION-TABLE A3***************************
*****************RARE EVENTS LOGIT*****************************************
relogit senate_nom_run black gender rep_term reptermsquare camp_rcpts gen_elec_vote genelectsquare district_state nom_abs_value incumbent_run incumbent_party if available==1
*****************SUPPORTING INFORMATION-TABLE A4***************************
******CAUSAL STEPS ANALYSIS********
********CAMPAIGN RECEIPTS******
logit senate_nom_run black if available==1
logit camp_rcpts black if available==1
logit senate_nom_run camp_rcpts black if available==1
*********STATE SIZE**********
logit senate_nom_run black if available==1
logit district_state black if available==1
logit senate_nom_run district_state black if available==1
*********IDEOLOGY************
logit senate_nom_run black if available==1
logit nom_abs_value black if available==1
logit senate_nom_run nom_abs_value black if available==1
*** See "JOS_Standardized_SobelTest_Information Spreadsheet" for further instructions on standardization of coefficients for Mediation Analysis using Dichotmous Variables and SOBEL MEDIATION TEST USING STANDARDIZED COEFFICIENTS IN SUPPORTING INFORMATION TABLE A5
*****************SUPPORTING INFORMATION TABLE A6*********************
tab black
tab gender
tab incumbent_run
tab incumbent_party
sum rep_term
sum camp_rcpts
sum gen_elec_vote
sum district_state
sum nom_abs_value

